Card.Ranks
Date: 2017-05-13

game_backend

## Enum Card.Ranks

- java.lang.Object
- - java.lang.Enum<Card.Ranks>
  - - game_backend.Card.Ranks

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Card.Ranks>
  Enclosing class:
    Card

      public static enum Card.Ranks
      extends java.lang.Enum<Card.Ranks>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ace`
    `eight`
    `five`
    `four`
    `jack`
    `king`
    `nine`
    `queen`
    `seven`
    `six`
    `ten`
    `three`
    `two`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Card.Ranks` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Card.Ranks[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ace

          public static final Card.Ranks ace

    - #### two

          public static final Card.Ranks two

    - #### three

          public static final Card.Ranks three

    - #### four

          public static final Card.Ranks four

    - #### five

          public static final Card.Ranks five

    - #### six

          public static final Card.Ranks six

    - #### seven

          public static final Card.Ranks seven

    - #### eight

          public static final Card.Ranks eight

    - #### nine

          public static final Card.Ranks nine

    - #### ten

          public static final Card.Ranks ten

    - #### jack

          public static final Card.Ranks jack

    - #### queen

          public static final Card.Ranks queen

    - #### king

          public static final Card.Ranks king

  - ### Method Detail

    - #### values

          public static Card.Ranks[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Card.Ranks c : Card.Ranks.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Card.Ranks valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null